import React from "react";
import { renderWithProviders } from "testUtilities";
import Box from "./index";
describe("Box functionality", function () {
  it("renders", function () {
    var _renderWithProviders = renderWithProviders( /*#__PURE__*/React.createElement(Box, null, "Content")),
      getByText = _renderWithProviders.getByText;
    expect(getByText("Content")).toBeInTheDocument();
  });
  it("renders with position absolute", function () {
    var _renderWithProviders2 = renderWithProviders( /*#__PURE__*/React.createElement(Box, {
        position: "absolute",
        top: "1px",
        right: "2px"
      }, "Content")),
      getByText = _renderWithProviders2.getByText;
    expect(getByText("Content")).toHaveStyleRule("position", "absolute");
    expect(getByText("Content")).toHaveStyleRule("top", "1px");
    expect(getByText("Content")).toHaveStyleRule("right", "2px");
  });
});